Deutsch Eesti
English

Information System Authority (RIA) advises everyone to update their security risk affected ID-Cards

04.11.2017


All ID-cards issued after 16 October 2014 and used electronically must be updated. You can use the Police and Border Guard Board (PPA) website:

 https://www.politsei.ee/id-kaardi-kontroll/en to verify whether the ID-card is affected by the security risk and needs to be updated.

 

https://www.ria.ee/en/ria-update-your-security-risk-affected-id-cards.html

 

More information (around the clock): (+372) 677 3377 or write us at abi@id.ee


TopBack

© Estonian Embassy in Vienna Wohllebengasse 9/12, 1040 Vienna, Austria, tel. (43 1) 50 377 61 11, e-mail: Embassy.Vienna@mfa.ee